<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title></title>
  <link  href="js/dash/controlbar.css" rel="stylesheet">
  <script src="js/dash/ControlBar.js"></script>
  <script src="js/dash/dash.all.debug.js"></script>

  <script>
  function startVideo() {
      const url = 'data/bbb/bbb_30fps.mpd';
      //const url = 'data/bbb/bbb_30fps_1024x576_2500k.mpd';
      //const url = 'data/View_From_A_Blue_Moon_Trailer-576p.mp4';
      var videoElement = document.querySelector(".videoContainer video");
  
      var player = dashjs.MediaPlayer().create();

      // prevent pre-loading of any data until user hits play.
      // this enables us to choose the resolution before we start:
      // * auto (default)
      // * 576p
      // * 720p
      // * 1080p
      // see: http://cdn.dashjs.org/latest/jsdoc/module-Settings.html
      player.updateSettings({
        'streaming': {
          'scheduleWhilePaused': false
        }
      });

      // player.initialize(view:HTML5MediaElement, source:string, AutoPlay:boolean);
      player.initialize(videoElement, url, false);

      var controlbar = new ControlBar(player);
      controlbar.initialize();
  }
  </script>

  <style>
    .container {
        margin-left: 0;
        margin-right: auto;
        max-width: 600px;
    }

    video {
        width: 100%;
    }

    .dash-video-player {
        position: relative;  /* This position relative is needed to position the menus */
        width: 640px;
        margin: 0 0;
    }
  </style>
</head>
<body onload="startVideo()">

<!-- debugging sample videos, but no controls -->
<div>
<!--video data-dashjs-player="" autoplay="" src="data/View_From_A_Blue_Moon_Trailer-576p.mp4" controls="true"></video-->
<!--video data-dashjs-player="" autoplay="" src="data/bbb/bbb_30fps_1024x576_2500k.mpd" controls="true"></video-->
</div>

<!-- source: http://reference.dashif.org/dash.js/latest/samples/control/controlbar.html -->
<div class="dash-video-player ">
    <!-- HTML structure needed for the ControlBar -->
    <div class="videoContainer" id="videoContainer">
        <!--video preload="auto" autoplay=""> </video-->
        <video preload="metadata" autoplay=""> </video>
        <div id="videoController" class="video-controller unselectable">
            <div id="playPauseBtn" class="btn-play-pause" title="Play/Pause">
                <span id="iconPlayPause" class="icon-play"></span>
            </div>
            <span id="videoTime" class="time-display">00:00:00</span>
            <div id="fullscreenBtn" class="btn-fullscreen control-icon-layout" title="Fullscreen">
                <span class="icon-fullscreen-enter"></span>
            </div>
            <div id="bitrateListBtn" class="control-icon-layout" title="Bitrate List">
                <span class="icon-bitrate"></span>
            </div>
            <input type="range" id="volumebar" class="volumebar" value="1" min="0" max="1" step=".01">
            <div id="muteBtn" class="btn-mute control-icon-layout" title="Mute">
                <span id="iconMute" class="icon-mute-off"></span>
            </div>
            <div id="trackSwitchBtn" class="control-icon-layout" title="A/V Tracks">
                <span class="icon-tracks"></span>
            </div>
            <div id="captionBtn" class="btn-caption control-icon-layout" title="Closed Caption">
                <span class="icon-caption"></span>
            </div>
            <span id="videoDuration" class="duration-display">00:00:00</span>
            <div class="seekContainer">
                <div id="seekbar" class="seekbar seekbar-complete">
                    <div id="seekbar-buffer" class="seekbar seekbar-buffer"></div>
                    <div id="seekbar-play" class="seekbar seekbar-play"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="click">.</div>
</body>
</html>
